Bug 174267 - Review Request: Goffice support libraries
Review Request: Goffice support libraries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael A. Peters
David Lawrence
http://home.zonnet.nl/jwrdegoede/goff...
:
Depends On: 174266
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-26 17:37 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 14:00:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
improved specfile (2.16 KB, text/plain)
2005-11-28 11:02 EST, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2005-11-26 17:37:33 EST
Spec Name or Url: http://home.zonnet.nl/jwrdegoede/goffice.spec
SRPM Name or Url: http://home.zonnet.nl/jwrdegoede/goffice-0.1.2-1.src.rpm
Description:
Support libraries for gnome office applications

Note to build this on x86_64 first (as root) do:
rm /usr/lib/libpopt.la 
This is to workaround a popt bug and has been reported (bug 174261)
Comment 1 Hans de Goede 2005-11-26 17:42:51 EST
ps

To honor the right person, the first version of this specfile was posted to
fedora-extras by "Michael D. Wise" <micwise@bellsouth.net>.
Comment 2 Michael A. Peters 2005-11-27 21:56:28 EST
I would like to see this in Extras too.
I will probably review later tonight or tomorrow if someone doesn't do so before me.
Comment 3 Hans de Goede 2005-11-28 01:03:26 EST
One important notice, this package needs libgsf 1.13.2 or higher. Core is still
at 1.12.3 , and Core is not planning an upgrade soon (bug 172062).

To fix this problem I've create a seperate (paralalel installable) libgsf113
package please review that first, bug 174266. Also you need to have that package
build and installed (including devel). Before you can build this one.
Comment 4 Hans de Goede 2005-11-28 01:07:18 EST
While I'm doing a dump of my grey matter, if you want to build any packages
using goffice they will probably need (because they also need gsf113):
export PKG_CONFIG_PATH=%{_libdir}/libgsf-1.13/lib/pkgconfig
before %configure

Maybe I should put this in libgsf113-devel description?
Comment 5 Michael A. Peters 2005-11-28 01:26:23 EST
(In reply to comment #3)
> One important notice, this package needs libgsf 1.13.2 or higher. Core is still
> at 1.12.3 , and Core is not planning an upgrade soon (bug 172062).
> 
> To fix this problem I've create a seperate (paralalel installable) libgsf113
> package please review that first, bug 174266. Also you need to have that package
> build and installed (including devel). Before you can build this one.
> 

Ah - OK.
I was wondering where libgsf113 was ...
Comment 6 Michael A. Peters 2005-11-28 01:27:35 EST
In the mean time - a couple of comments about this package:

Needs Fixin:
Source0 does not full url

ftp://ftp.gnome.org/pub/gnome/sources/goffice/0.1/goffice-0.1.2.tar.bz2
Two unowned directories:

%{_libdir}/goffice
%{_datadir}/goffice
Comment 7 Michael A. Peters 2005-11-28 02:13:24 EST
(In reply to comment #4)
> While I'm doing a dump of my grey matter, if you want to build any packages
> using goffice they will probably need (because they also need gsf113):
> export PKG_CONFIG_PATH=%{_libdir}/libgsf-1.13/lib/pkgconfig
> before %configure
> 
> Maybe I should put this in libgsf113-devel description?
> 

I think a README.fedora (in the libgsf113-devel package) would be better than in
the %description.
Comment 8 Hans de Goede 2005-11-28 11:02:38 EST
Created attachment 121551 [details]
improved specfile

-Make Source0 a full URL
-Better URL tag
-Fix not owning /usr/lib(64)/goffice and /usr/share/goffice
Comment 9 Michael A. Peters 2005-11-28 11:49:33 EST
* builds in mock, rpmlint clean:
[mpeters@utility result]$ ls *.rpm && rpmlint *.rpm
goffice-0.1.2-2.i386.rpm  goffice-debuginfo-0.1.2-2.i386.rpm
goffice-0.1.2-2.src.rpm   goffice-devel-0.1.2-2.i386.rpm
W: goffice-devel no-documentation
[mpeters@utility result]$

* md5sum matches upstream
* written in understandable americam english
* proper hangling of lang files
* proper files in devel package, no .la archives
* proper BuildRequires, proper explicit Requires in devel package
* OSS license, packaged with %doc
* proper use of scriptlets
* proper use of macros
* proper %clean

APPROVED
Comment 10 Hans de Goede 2005-11-28 14:00:11 EST
After import it turned out that there were some dependencies missing causing the
buildsys build to use the gtk instead of gnome UI, I have fixed this and
requested a new build which has completed sucessfully.
Comment 11 Bill Nottingham 2007-07-17 14:22:20 EDT
Package Change Request
======================
Package Name: goffice
New Branches: EL-5
Updated Fedora Owners: add notting@redhat.com as co-maintainer
Updated EPEL Owners: notting@redhat.com <main>, j.w.r.degoede@hhs.nl <co-maintainer>
Updated EPEL CC:

I've requested goffice for EPEL as I have a package in EPEL 5 that needs it.
I'll be a co-maintainer for Fedora so I can see if/when I need to pull changes back.
Comment 12 Kevin Fenzi 2007-07-17 15:09:56 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.